#ifndef HELLOSERVICE_HPP
#define HELLOSERVICE_HPP

#include "../Service.hpp"
#include <string>

namespace mole {

    namespace serv {
	class HelloResponse;

	class HelloService : public Service {

	    public :
		HelloService(mole::ctx::Request *);
		HelloService();
		~HelloService();

		bool init(std::string in);

		HelloResponse * getResponse();

		Service * newInvocableService(mole::ctx::Request * r);

	    protected :
		std::string in;

	};

    }; // end serv

}; // end mole

#endif
